Get a disbursement
Returns the disbursement identified by disbursementId. Your API key must have permission to access the disbursement.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Path Parameters
The unique identifier of the disbursement.
The ID of the disbursement, a UUID prefixed by disbursement_.
^disbursement_[a-f0-9\-]{36}$"disbursement_82c879c1-84e1-44ed-a8c2-1ac239cf09ad"
Response
Successfully retrieved disbursement.
A payment from a CDP account you own to a Coinbase user account or an onchain address, independent of a payment session.
The unique identifier of the disbursement.
^disbursement_[a-f0-9\-]{36}$"disbursement_82c879c1-84e1-44ed-a8c2-1ac239cf09ad"
The source from which the disbursement is funded.
The target receiving the disbursement.
- Disbursement Coinbase Target
- Disbursement Wallet Target
A decimal representation of the disbursed amount, denominated in asset.
"25.00"
The symbol of the asset for the disbursement amount.
1 - 42"usdc"
The current status of the disbursement.
pending, succeeded, failed "pending"
The UTC ISO 8601 timestamp at which the disbursement was created.
"2026-04-17T17:00:00.000Z"
The UTC ISO 8601 timestamp at which the disbursement was last updated.
"2026-04-17T17:00:00.000Z"
Human-readable reason for the disbursement.
"Goodwill disbursement for delayed shipment."
An identifier from your system for tracking this disbursement. Not shown to the recipient. Must not contain personally identifiable information (PII) or payment credentials.
256"disbursement-2026-04-1234"
Display information shown to the recipient for this disbursement. If referenceCode was omitted when creating the disbursement, a generated code is returned.
Optional metadata as key-value pairs. Use this to store additional structured information on a resource, such as customer IDs, order references, or any application-specific data. Up to 10 key/value pairs may be provided. Keys and values are both strings. Keys must be ≤ 40 characters; values must be ≤ 500 characters.
Error details, present only when the disbursement failed.
The onchain transactions associated with this disbursement.